{% extends "/default/default.twig" %}
{% block title %}Dettagli  territorio {{ nome_territorio }}{% endblock %}
{% block adding_css %}

{% endblock %}

{% block wrapper %}

    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <h1 class="titleHeader">{{ nome_territorio }} <a href="{{ dirDefault }}/territorio/lista" class="btn btn-primary">Torna alla lista</a></h1>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 ">
            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="col-lg-3 col-md-6 col-sm-12 col-xs-12">
                        <a  href="{{ dirDefault }}/territorio/dettagli/generale/{{ id_territorio }}" class="col-lg-12 col-md-12 col-sm-12 col-xs-12 btn btn-outline btn-primary bold">Generale</a>
                    </div>
                    <div class="col-lg-3 col-md-6 col-sm-12 col-xs-12">
                        <a  href="{{ dirDefault }}/territorio/dettagli/nominativi/{{ id_territorio }}" class="col-lg-12 col-md-12 col-sm-12 col-xs-12 btn btn-outline btn btn-primary bold">Nominativi</a>
                    </div>
                    <div class="col-lg-3 col-md-6 col-sm-12 col-xs-12">
                        <a  href="{{ dirDefault }}/territorio/dettagli/movimenti/{{ id_territorio }}" class="col-lg-12 col-md-12 col-sm-12 col-xs-12 btn btn-outline btn-primary bold">Movimenti</a>
                    </div>
                    <div class="col-lg-3 col-md-6 col-sm-12 col-xs-12">
                        <a  href="{{ dirDefault }}/territorio/dettagli/mappa/{{ id_territorio }}" class="col-lg-12 col-md-12 col-sm-12 col-xs-12 btn btn-primary bold">Mappa</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div id="map" style="width:800px;height:400px">
        </div>
    </div>



<!--RECUPERO DATI MARKERS
var request = $.ajax({
method: "post",
url: "{{dirDefault}}/territorio/dettagli/mappa/load_mappa/{{ id_territorio }}",
dataType: "json"
});
request.done(function (resp) {
for( i in resp){
alert(resp[i].id_comune);
}
});
request.fail(function (jqXHR, textStatus) {
console.log("Errore " + jqXHR + " | " + textStatus);
});
-->

{% endblock %}


{% block adding_js %}

<script src="https://maps.google.com/maps/api/js?key=AIzaSyCWfN-lcWrUGrQNhjMGOAGDeAMsekB3aP0" type="text/javascript"></script>
  <script type="text/javascript">
  /*
    var locations = [
      ['Bondi Beach', -33.890542, 151.274856, 4],
      ['Coogee Beach', -33.923036, 151.259052, 5],
      ['Cronulla Beach', -34.028249, 151.157507, 3],
      ['Manly Beach', -33.80010128657071, 151.28747820854187, 2],
      ['Maroubra Beach', -33.950198, 151.259302, 1]
    ];
**/
    var request = $.ajax({
        method: "post",
        url: "{{dirDefault}}/territorio/dettagli/mappa/load_mappa/{{ id_territorio }}",
        dataType: "json"
    });
request.done(function (resp) {
var locations = new Array();
    for( i in resp){
    var temp = new Array();
    //alert(resp[i].id_comune);
    temp[0] = resp[i].id_comune;
    temp[1] = resp[i].latitudine;
    temp[2] = resp[i].longitudine;
    temp[3] = i;
    locations[i] = temp;
    }

    var map = new google.maps.Map(document.getElementById('map'), {
      zoom: 10,
      center: new google.maps.LatLng(-33.92, 151.25),
      mapTypeId: google.maps.MapTypeId.ROADMAP
    });

    var infowindow = new google.maps.InfoWindow();

    var marker, i;

    for (i = 0; i < locations.length; i++) {
      marker = new google.maps.Marker({
        position: new google.maps.LatLng(locations[i][1], locations[i][2]),
        map: map
      });

      google.maps.event.addListener(marker, 'click', (function(marker, i) {
        return function() {
          infowindow.setContent(locations[i][0]);
          infowindow.open(map, marker);
        }
      })(marker, i));
    }



});



  </script>




  <script>
/*
 function initialize() {
        var center = new google.maps.LatLng(45, 7.5);

        var map = new google.maps.Map(document.getElementById('map'), {
            zoom: 3,
            center: center,
            mapTypeId: google.maps.MapTypeId.ROADMAP
        });

        var markers = [];
        for (var i = 0; i < 100; i++) {
            var location = yourData.location[i];
            var latLng = new google.maps.LatLng(location.latitude,
                    location.longitude);
            var marker = new google.maps.Marker({
                position: latLng
            });
            markers.push(marker);
        }
        var markerCluster = new MarkerClusterer(map, markers);
    }
    google.maps.event.addDomListener(window, 'load', initialize);
*/
</script>

<!--<script src = "https://maps.googleapis.com/maps/api/js?key=AIzaSyCWfN-lcWrUGrQNhjMGOAGDeAMsekB3aP0"></script>-->


{% endblock %}